Announcement

Collapse
No announcement yet.

Update version Google Play Services in project?

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

    Update version Google Play Services in project?

    UE4.22

    After adding the Appodeal plugin, I get an error while compiling:
    UATHelper: Packaging (Android (Multi:ASTC,PVRTC,DXT,ATC,ETC2,ETC1)): > Error: Old version of Google Play Services found. Appodeal plugin uses 15.0.0 or newer.
    Help me please!

    Full output log:
     
    Spoiler


    Project settings:
     
    Spoiler

    #2
    You are having same problem as me

    Comment


      #3
      Open aar-imports.txt, which is located in [engine]/Engine/Build/Android/Java/ folder.
      Here is an example of modified aar-import.txt:
      Code:
      repositories $(ANDROID_HOME)/extras
      repositories $(ENGINEDIR)/Source/ThirdParty/Android/extras
      com.google.android.gms,play-services-auth,16.0.1
      com.google.android.gms,play-services-games,17.0.0
      com.google.android.gms,play-services-nearby,16.0.0
      com.google.android.gms,play-services-plus,16.0.0

      Comment

      Working...
      X